/*
File Name: styles.css
*/

/* CSS Reset */
body, header, nav, main, footer, div, img, ul, section, article, aside {
	margin: 0;
	padding: 0;
	border: 0;
}

/* Style rules for body and images */
body {
	background-color: #fff;
}

img {
	max-width: 100%;
	display: block;
}

/* Style rule for box sizing applies to all elements */
* {
	box-sizing: border-box;
}

/* Style rule to prevent fair photos from appearing outside of carousel */
.fairPics {
	display:none;
}

/* Style rules for mobile Viewport */

/* Style rule for header */
#fair_logo {
	top: 0;
	background-color: #4c854c;
	height: 110px;
}

#fair_logo img {
	margin: auto;
	padding: 2%;
}

/* Style rules for hamburger menu */
.mobile-nav {
		background-color: #4c854c;
		padding:2%;
}
.mobile-nav a{
	color: #fff;
	background-color: #4c854c;
	text-align: center;
	font-size: 2em;
	text-decoration: none;
	padding: 2%;
	display: block;
}
.mobile-nav a.menu-icon {
	display: block;
	position: absolute;
	right: 0;
	top: 0;
}
.mobile-nav a:visited {
	background-color: #4c854c;
	color:#fff;
}
.mobile-nav a:hover {
	background-color:#fff;
	color:#4c854c;
}

/* Show mobile class, hide tablet-desktop class and desktop-only class and menu links id */
.mobile {
	display: block;
}

.tablet-desktop, #menu-links {
	display: none;
}

.desktop-only {
	display: none;
}

/* Style rules for main content */
main {
	background-color: #fff;
	padding: 2%;
	font-size: 1.15em;
	font-family: 'Roboto', sans-serif;
}

a {
	text-decoration:none;
	color: #0066ff;
}

a:hover{
	background-color: #0066ff;
	color: #fff;
}

h1 {
	text-align: center;
	font-size: 1.5em;
	color: #0066ff;
	font-weight: bold;
}

h2 {
	text-align: center;
	font-size: 1.5em;
	color: #0066ff;
}

.shaded  {
	text-shadow: 5px 5px 8px #00cc00;
	text-align: center;
}

.familyfun  {
	color: #0066ff;
	text-align: center;
}

.funfairstory {
	color:#4c854c;
	font-weight:bold;
}
p {
	text-align: center;
}

p a {
	text-decoration: none;
	color: #0066ff;
	font-weight: bold;
}

#scholarshipphoto {
	display:block; 
	margin-left:auto; 
	margin-right:auto; 
	width:80%
}

.new_highlight{
	padding: 2% 0;
	color:#fff;
	background-color:#4c854c;
}

.new_highlight a{
	color:#fff;
	/*color:#0066ff;
	background-color:#fff;*/
}

.new_highlight a:hover{
	color:#4c854c;
	background-color:#fff;
}

.blue_highlight{
	padding: 2% 0;
	color:#fff;
	background-color:#0066ff;
}

.blue_highlight a{
	color:#fff;
}

.blue_highlight a:hover{
	color:#0066ff;
	background-color:#fff;
}


/* Style rules for mobile fair schedule table */
table {
	margin: 5% auto;
	width: 90%;
}

table caption {
	font-size: 1.25em;
	color: #0066ff;
	font-weight: bold;
}

table th {
	color: #4c854c;
}

table td {
	vertical-align: top;
	color: #0066ff;
}
	tr:nth-child(odd) {
		background-color: #e6e6e6;
	}

/* Style rules for contact page */
.tel-link {
	background-color: #0066ff;
	padding: 2%;
	margin: 0 auto;
	width: 80%;
	text-align: center;
	border-radius: 5px;
}

.tel-link a {
	color: #fff;
	text-decoration: none;
	font-size: 1.5em;
	display: block;
}

#contact {
	text-align: center;
}

#contact p {
	margin: 0 auto;
	padding: 0;
}

.email-link a { 
	text-decoration: none;
	color: #0066ff;
}

.email-link a:hover{
	background-color: #0066ff;
	color: #fff;
}

.contact-phone-link {
	color: #666600;
	text-decoration: none;
}

.contact-phone-link:hover {
	background-color: #fff;
	color: #0066ff;
}

.mailadd {
	margin-bottom: 0;
}

.fb  {
	margin-left: auto;
	margin-right: auto;
}

.doc-link {
	text-decoration: none;
	color: #0066ff;
}

.doc-link:hover, .dir_link:hover{
	background-color: #0066ff;
	color: #fff;
}
.small-doc-link {
	text-decoration: none;
	font-size:1em;
	color: #0066ff;
}
.small-doc-link:hover, .dir_link:hover{
	background-color: #0066ff;
	color: #fff;
}
#dir_loc {
	text-align: center;
}

#dir_loc h2 {
	margin: 0 10%;
	padding: 5% 0;
	background-color: #0066ff;
	font-size: 1.3em;
	color: #fff;
}

#dir_loc h3 {
	margin: 0 10%;
	padding: 5% 0;
	background-color: #fff;
	font-size: 1.3em;
	color: #0066ff;
}

#directions {
	margin: 0 2% 3% 1%;
	padding: 2%;
	background-color: rgb(0, 102, 255, 0.2);
	border-radius: 15px;
	font-weight: bold;
}
.map {
	border: 5px solid #0066ff;
	width: 95%;
	height: 50%;
}

/* Style rules for exhibitors page */
#exhibitor_headings h1{
	color: #fff;
	background-color: #0066ff;
}

#forms{
	font-size: 1.4em;
}

.button {
	border: none;
	text-align: center;
	text-decoration: none;
	color: white;
	display: inline-block;
	font-size: 1.4em;
	margin: 4px 2px;
	cursor: pointer;
	border-radius:10px;
}

ul {
	font-size: 1.25em;
	margin: 0 5%;
	padding: 2%;
	list-style-type: none;
}

#entry_info, #premium {
	padding: 2%;
	background-color: rgb(0, 102, 255, 0.2);
	border-radius: 15px;
}

#entry_info p {
	text-align: left;
}

h4 {
	text-align: center;
	font-weight: bold;
}

/* Style rules for auction page */
.auction p{
	text-align: left;
}

.auction p a:hover{
	background-color: #0066ff;
	color: #fff;
}

.auction-book {
	font-size: 1.15em;
}

/* Style rules for scholarship page */	
#scholarship p{
	font-size:1.4em;
	text-align: left;
}

/* Style rules for the photo page */
#fairpictures {
	min-height: 1100px;
}

#fairpictures img{
	margin: auto;
}

/* Style rules for Vendor content */
#vendor_header p a{
	font-size:1.1em;
}
	
.vendor_main h2{
	text-align:left;
	color: #4c854c;
}
.vendor_main p {
	text-align:left;
	margin: 1% 5%;
}
.vendor_main p a {
	font-size:1.1em;
}
.blue_text {
	color: #fff;
	background-color:#0066ff;
}

.blue_text_mod {
	color: #000;
	background-color:#cee3ce;
}


/* Style rules for footer content */
footer {
	background-color: #4c854c;
	padding: 1% 0;
}

footer p {
	font-size: 0.75em;
	text-align: center;
	color: #fff;
	padding: 0 1em;
}


/* Media Query for Tablet Viewport */
@media screen and (min-width: 630px), print {
	
	/* Tablet Viewoprt: Show tablet-desktop class, hide mobile class (leave desktop-only as is) */
	.tablet-desktop, #fair_logo {
		display: block;
	}
	
	.mobile, .mobile-nav {
		display: none;
	}
	
	/* Tablet Viewport: Style rule for header */
	header {
		padding-bottom: 2%;
	}
	
	/* Tablet Viewport: Style rules for nav area */
	nav {
		padding: 1%;
		margin-bottom: 1%;
		background-color: #4c854c;
	}

	nav ul {
		list-style-type: none;
		text-align: center;
	}
	
	nav li {
		font-family: 'Roboto', sans-serif;
		display: inline-block;
		border-right: 1px solid #fff;
		border-top: none;
		font-size: 1.2em;
	}
	
	nav li:last-child {
		border-right: none;
	}
	
	nav li a {
		padding: 0.1em 0.75em;
		display: block;
		color: #fff;
		text-decoration: none;
	}
	
	/* Tablet Viewport: Style rules for main content area */
	main ul {
		margin: 0 0 4% 10%;
	}
	
	p a {
		font-size: 1.5em;
	}
	


	#scholarshipphoto {
		width:50%;
	}
	
	#food_truck_grid{
		display: grid;
		grid-template-columns: auto auto;
		grid-gap: 10px;
	}
	
	#food_truck_grid a:hover{
		background-color: #fff;
	}

	
	/* Tablet Viewport: Style rules for Directions page */
	#dir_loc h3 {
		margin: 0 20%;
		font-size: 1.4em;
	}
	
	#directions {
		font-size: 1.3em;
	}
	
	/* Tablet Viewport: Style rules for exhibitors page */
	#entry_info {
		/*display: grid;*/
		display: block;
		width: 100%;
		/*grid-template-columns: auto auto;
		grid-gap: 20px; */
		/*grid-template-columns: 1fr; */
	}
	
	/*#entry_info h2 {
		grid-column: 1 / span 2;
	}  */
	
	.exhib_section {
		display: grid;
		grid-template-columns: auto auto;
		grid-gap: 20px;
	}
	
	#premium {
		margin-top: 5%;
	}
	
	/* Tablet Viewport: Style rules for contact page */
	#contact {
		display: grid;
		grid-template-columns: auto auto;
		grid-gap: 20px;
	}

	#local_fairs  {
		background-color: rgb(50, 50, 50, 0.2);
		border-radius: 15px;
	}
	
	#local_fairs p {
		padding: 3%;
	}
	
	#local_fairs p a:hover {
		color: #fff;
		font-weight:bold;
	}
	
	#local_fairs h2 {
		font-size: 1.8em;
		color: #4c854c;
		margin: 2% 1% 1% 1%;
	}
	
	.map {
		width: 600px;
		height: 450px;
	}
	
	/* Tablet Viewport: Style rules for table */
	table {
		border: 1px solid #000;
		border-collapse: collapse;
		margin: 2% 5%;
		width: 90%;
	}
	
	caption {
		font-size: 1.5em;
		font-weight: bold;
		padding: 1%;
	}
	
	table th, td {
		border: 1px solid #0066fe;
		padding: 2%;
	}
	
	table th {
		background-color:#0066ff;
		color: #fff;
		font-size: 1.15em;
	}
	
	tr:nth-child(odd) {
		background-color: #e6e6e6;
	}
	
	/* Tablet Viewport: Style rule for the vendor content */
	.vendor_main {
		display: grid;
		grid-template-columns: auto auto;
		grid-gap: 20px;
	}
	/* Tablet Viewport: Style rule for the footer element */
	footer p {
		font-size: 1.2em;
	}
}

/* Media Query for Desktop Viewport */
@media screen and (min-width: 1115px), print {
	
	.desktop-only {
		display: block;
	}

	/* Desktop Viewport: Style rule for header */
	header {
		width: 30%;
		float: left;
		padding-bottom: 0;
		height: 110px;
	}
	
	/* Desktop Viewport: Style rules for nav area */
	nav {
		float: right;
		width: 70%;
		height: 110px;
		padding: 1%;	
		margin-bottom: 0;
	}
	
	nav ul {
		text-align: right;
	}
	
	nav li {
		border: none;
		font-size: 1.0em;
	}
	
	nav li a {
		padding: 0.5em 0.5em;
	}
	
	nav li a:hover {
		color: #0066ff;
		background-color: #fff;
	}
	
	/* Desktop Viewport: Style Rules for main content */
	main {
		clear: left;
	}

	.tablet-desktop h2 {
		font-size: 2em;
	}
	
	.tablet-desktop h3 {
		font-size: 1.8em;
	}
	
	/* Desktop Viewport: Style Rules for schedule table */
	.table-box {
		margin: 0 5%;
		padding: 1% 2%;
		background-color: #fff;
		box-shadow: 5px 5px 8px #000;
		border-radius: 15px 0;
	}
	
	table {
		margin: 0;
		width: 100%;
		table-layout: auto;
	}
	
	.action {
		width:auto;
		text-align:right;
		white-space: nowrap
	}
	
	table caption {
		font-size: 1.5em;
	}

	td {
		font-size: 1.2em;
	}
	
	p a {
		font-size: 1.8em;
	}
	
	.desktop-grid {
		display: grid;
		grid-template-columns: auto auto;
		grid-gap: 10px;
	}
		
	/* Desktop Viewport: Style Rules for desktop-only class */
	.desktop-only h2{
		font-size: 1.5em;
		margin: 1%;
	}
	.desktop-only ul {
		font-size: 1.25em;
		margin: 2% 5%;
		padding: 0%;
	}
	.desktop-only p {
		margin: 0 5%;
	}
	
	aside {
		margin: 0 5%;
		text-align: center;
		font-size: 1.25em;
		font-weight: bold;
		padding: 1% 0%;
		background-color: #e6e6e6;
		box-shadow: 5px 5px 8px #000;
		border-radius: 0 15px;
	}
	
	aside p {
		line-height: 1.5;
		padding: 5%;
	}
	
	.funfairstory p{
		padding-right:200px;
		padding-left:200px;
		text-align:left;
	}

	#fairfun {
		font-size: 1.2em;
	}
	
	#fairfun li:nth-child(odd) {
		color: #4c854c;
	}
	
	#fairfun li:nth-child(even) {
		color: #0066ff;
	}

	
	
	/* Desktop Viewport: Style rules for contact page */
	#contact_us h3 {
		font-size:1.4em;
	}
	
	#contact_us h4 {
		font-size:1.4em;
	}
	
	#local_fairs p {
		padding: 2.5%;
	}
	
	#local_fairs h2 {
		font-size: 1.5em;
	}
	
	#local_fairs p a {
		font-size:1.5em;
	}
	
	/* Desktop Viewport: Style rules for exhibitors page */
	#entry_info {
		display: block;
		width: 100%;
	}
	
	#exhib-grid {
		display: grid;
		grid-template-columns: 450px auto;
		grid-gap: 10px;
	}
	
	#forms {
		width: 100%;
	}
	
	#premium {
		margin-top: 2%;
	}
	
	/* Desktop Viewport: Style rules for the auction page */
	.auction {
		display: grid;
		grid-template-columns: 60% 37%;
		grid-gap: 30px;
	}
	
	.auction img {
		display: block;
		margin-left: auto;
		margin-right: auto;
	}
	
	#auction_items{
		margin: 5% 5%;
		text-align: center;
		font-size: 1.5em;
		font-weight: bold;
		padding: 1% 0%;
		background-color: #e6e6e6;
		box-shadow: 5px 5px 8px #000;
		border-radius: 0 15px;
		line-height: 1.6;
	}
	
	
	/* Desktop Viewport: Style rule for the footer element */
	footer p {
		font-size: 1.4em;
	}
}

/* Media Query for slightly larger Desktop Viewport */
@media screen and (min-width: 1194px), print {

	nav li {
		border: none;
		font-size: 1.1em;
	}
}

/* Media Query for slightly larger Desktop Viewport */
@media screen and (min-width: 1298px), print {

	nav li {
		border: none;
		font-size: 1.2em;
	}
}

/* Media Query for Large Desktop Viewports */
@media screen and (min-width: 1921px) {
	
	#container {
		width: 1920px;
		margin: 0 auto;
	}
		
	table {
		width: 80%;
	}
	
}

/* Media Query for Print */
@media print {
	
	body {
		background-color: #fff;
		color: #000;
	}

}
 